<script type="text/javascript">
	$(document).ready(function(){
		
	cari_itf();
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_persed").val(data.nopers);
				$("#txt_utang").val(data.noutdg);
				$("#txt_labapb").val(data.labapb);
				$("#txt_jual").val(data.jual);
				$("#txt_labrug").val(data.labrug);
				$("#mulai").focus();
			}
		});
	}
	
	$("#mulai").click(function(){
		var	tdebet	= $("#txt_tdebet").val();
		var	tkredit	= $("#txt_tkredit").val();
		var	jdebet	= parseInt(tdebet);
		var	jkredit	= parseInt(tkredit);
				
		if(!(tdebet.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		
		if(!(tkredit.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){				
				$("#txt_kode").val(data.nomor);				
				$('#data_detail').show();
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();
			
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/jurnal_umum/tampil_data_detail.php?kode="+kode);		
		cari_total();
	}
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_tdebet").val(data.tdebet);
				$("#txt_tkredit").val(data.tkredit);				
			}
		});
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});	
		
	$('#form_cari_bmj').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_bmj').click(function(){
		$('#form_cari_bmj').dialog('open');
		$("#txt_carikode").focus();		
	});
		
	$("#txt_carikode").keyup(function(){
		var cari = $("#txt_carikode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_nobmj.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bmj").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bmj").html(data);				
			}
		});
	});
			
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#txt_naakun').keyup(function(){
		var cari= $("#txt_caribb").val();
		$('#form_cari_akun').dialog('open');
		$("#info_bb").show();
		$("#info_bb").load('modul/jurnal_umum/tampil_data_akun.php?cari='+cari);
		$("#txt_caribb").focus();
	});
	
	$("#txt_caribb").keyup(function(){
		var cari= $("#txt_caribb").val();
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){				
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_namabp").keyup(function(){
		var adabp = $("#txt_adabp").val();
		var nobb = $("#txt_noakun").val();
		var piut = $("#txt_piut").val();
		var utang = $("#txt_utang").val();
		var cari = $("#txt_caribp").val();
		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
			return (false);
		}else{
			$('#form_cari_bp').dialog('open');
			$("#info_bp").load('modul/jurnal_umum/tampil_data_bp.php?nobb='+nobb+'&cari='+cari);
			$("#txt_caribp").focus();		
			return false;
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();
		var piut = $("#txt_piut").val();
		var utang = $("#txt_utang").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});
	
	$('#form_cari_pd').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#form_cari_ud').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});	
	
	$("#txt_nofak").keyup(function(){
		var piut = $("#txt_piut").val();
		var utang= $("#txt_utang").val();
		var nobb = $("#txt_noakun").val();
		var nobp = $("#txt_nobp").val();
		var cari = $("#txt_caripd").val();
		
		if(!nobb==piut){
			if(!nobb==utang){
				alert('Kode akun '+nobb+' bukan piutang atau hutang dagang.');
				$("#txt_jumlah").focus();
				return (false);
			}
		}		
		if(nobb==piut){
			$('#form_cari_pd').dialog('open');
			$("#info_pd").show();
			$("#info_pd").load('modul/jurnal_umum/tampil_data_pd.php?nobp='+nobp+'&cari='+cari);
			$("#txt_caripd").focus();
		}
		if(nobb==utang){
			$('#form_cari_ud').dialog('open');
			$("#info_ud").show();
			$("#info_ud").load('modul/jurnal_umum/tampil_data_ud.php?nobp='+nobp+'&cari='+cari);
			$("#txt_cariud").focus();
		}
	});
	
	$("#txt_caripd").keyup(function(){
		var cari = $("#txt_caripd").val();
		var nobp = $("#txt_nobp").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_data_pd.php",
			data	: "cari="+cari+
					"&nobp="+nobp,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_pd").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_pd").html(data);
			}
		});
	});
	
	$("#txt_cariud").keyup(function(){
		var cari = $("#txt_cariud").val();
		var nobp = $("#txt_nobp").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_data_ud.php",
			data	: "cari="+cari+
					"&nobp="+nobp,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_ud").html("<img src='loading.gif' />");
			},
			success	: function(data){
				$("#info_ud").html(data);
			}
		});
	});
		
	$("#simpan").click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var	kode		= $("#txt_kode").val();
		var	tanggal		= $("#txt_tanggal").val();		
		var	nourut  	= $("#txt_nourut").val();
		var	noakun		= $("#txt_noakun").val();
		var	nobp  		= $("#txt_nobp").val();
		var	naakun 		= $("#txt_naakun").val();
		var	namabp 		= $("#txt_namabp").val();
		var	nofak  		= $("#txt_nofak").val();
		var	kodecab	    = $("#txt_kodecab").val();
		var	radiodk		= $(".radio:checked").val();
		var cek_radio	= $(".radio:checked");
		var	ket    		= $("#txt_ket").val();
		var	jumlah		= $("#txt_jumlah").val();
		var	debet 		= $("#txt_debet").val();
		var	kredit		= $("#txt_kredit").val();

		if(tanggal.length == 0){
           alert("Maaf, Tanggal jurnal tidak boleh kosong.");
		   return (false);
        }
		if(noakun.length == 0){
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
        if(kodecab.length == 0){
           alert("Maaf, Kode cabang  tidak boleh kosong");
		   $("#txt_kodecab").focus();
		   return (false);
        }
		if(nofak.length == 0){
			var piut = $("#txt_piut").val();
			var utang= $("#txt_utang").val();
			
			if(noakun==piut){
				alert("Maaf, Untuk akun piutang dagang, Nomor faktur tidak boleh kosong.");
				$("#txt_noakun").focus();
				return (false);
			}
			if(noakun==utang){
				alert("Maaf, Untuk akun hutang dagang, Nomor faktur tidak boleh kosong.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		 
		if(cek_radio.length == 0){
			alert("Maaf, Anda belum memilih debet atau kredit.");
			$("#radio_dk").focus();
			return (false);		   
        }
		if(ket.length == 0){
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
        }
		if(jumlah.length == 0){
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }

		if(radiodk=='D'){
			$("#txt_debet").val(jumlah);
			var debet = $("#txt_debet").val();
			var kredit = 0;
		}else{
			$("#txt_kredit").val(jumlah);
			var kredit = $("#txt_kredit").val();
			var debet = 0;
		}
	
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/simpan.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+					
				"&nourut="+nourut+
				"&noakun="+noakun+
				"&nobp="+nobp+					
				"&naakun="+naakun+					
				"&namabp="+namabp+
				"&nofak="+nofak+
				"&kodecab="+kodecab+
				"&radiodk="+radiodk+
				"&ket="+ket+					
				"&debet="+debet+
				"&kredit="+kredit,				
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_naakun").focus();
				cek_nourut();
				tampil_data_detail();				
			}
		});
	}
	
	$("#tutup").click(function(){		
		var	tdebet	= $("#txt_tdebet").val();
		var	tkredit	= $("#txt_tkredit").val();
		var	jdebet	= parseInt(tdebet);
		var	jkredit	= parseInt(tkredit);
		
		if(!(tdebet.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		
		if(!(tkredit.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include "../../inc/inc.koneksi.php";
echo "<table width='100%'>	
	<tr>
		<input type='text' id='txt_piut' size='4' hidden />
		<input type='text' id='txt_persed' size='4' hidden />
		<input type='text' id='txt_utang' size='4' hidden />
		<input type='text' id='txt_labapb' size='4' hidden />
		<input type='text' id='txt_jual' size='4' hidden />
		<input type='text' id='txt_labrug' size='4' hidden />
		
		<td align='left'>Nomor Bukti : <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari BBM' id='cari_bmj'>
		</td>
		<td align='right'>Tanggal :	<input type='date' name='txt_tanggal' id='txt_tanggal'  size='10' class='input_header'> </td>				
	</tr>
	</table>	
	<hr>";

echo "<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Nama BP</th>
			<th>Kode BP</th>
			<th>No.Faktur</th>
			<th>Cabang</th>
			<th></th>
			<th></th>
			<th>Jumlah</th>
			<th>Keterangan</th>
			<th></th>
		</tr>			
			
		<tr>
			<input type='text' id='txt_nourut' class='input_detail' hidden />
			<input type='text' id='txt_adabp' class='input_detail' hidden />
			<input type='text' id='txt_debet' class='input_detail' hidden />
			<input type='text' id='txt_kredit' class='input_detail' hidden />
			<input type='text' id='txt_tdebet' hidden />
			<input type='text' id='txt_tkredit' hidden />
			<input type='text' id='txt_posting' class='input_detail' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input_detail' size='20'></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input_detail' size='5' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input_detail' size='20'></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input_detail' size='9' readonly /></td>
			<td align='center'><input type='text' name='txt_nofak' id='txt_nofak' class='input_detail' size='12'></td>
			<td><select id='txt_kodecab'>";
				$sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				while($r=mysql_fetch_array($sql)){
				    $kodecab=$r[kode_cab];
				    echo "<option value='$kodecab'>$r[nama_cab]</option>";
				}
			echo "</select>
		    </td>
			<td><input type='radio' name='radio_dk' id='radio_dk' value='D' class='radio'>Debet</td>
			<td><input type='radio' name='radio_dk' id='radio_dk' value='K' class='radio'>Kredit</td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='10' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='30'></td>
			<td align='center'><button id='simpan'>Rekam</button></td>
		</tr>	
	</table>
	<hr>
	
	<table align='center'>
	<tr>		
		<td>
			<button name='mulai' id='mulai'>Input Jurnal</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>
	</div>";

echo "<div id='form_cari_bmj' title='Pencarian Nomor Bukti Memorial'>
		<table width='100%'>
			<tr>
				<td>Cari Nomor Bukti : <input type='text' name='txt_carikode' id='txt_carikode' size='15'></td>
			</tr>
		</table>
		
		<div id='info_bmj' align='center'></div>
	</div>";
	
echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td>Cari Buku Besar : <input type='text' name='txt_caribb' id='txt_caribb' size='40'></td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td>Cari Buku Pembantu : <input type='text' id='txt_caribp' size='40'></td>
			</td>
		</table>
		<div id='tampil_data_bp' align='center'></div>
		<div id='info_bp' align='center'></div>
	</div>";

echo "<div id='form_cari_pd' title='Pencarian Data Piutang'>
		<table width='100%'>
			<td>
				<td>Cari Data Piutang : <input type='text' name='txt_caripd' id='txt_caripd' size='30'></td>
			</td>
		</table>
		<div id='info_pd' align='center'></div>
	</div>";
	
echo "<div id='form_cari_ud' title='Pencarian Data Hutang'>
		<table width='100%'>
			<td>
				<td>Cari Data Hutang : <input type='text' name='txt_cariud' id='txt_cariud' size='30'></td>
			</td>
		</table>
		<div id='info_ud' align='center'></div>
	</div>";
?>